# SdFat: SoftSPIClass Class Reference

SoftSPIClass Class Referenceabstract

Base class for external soft SPI. More...

`#include <SdSpiSoftDriver.h>`

Inheritance diagram for SoftSPIClass:
[legend]

## Public Member Functions

virtual void | begin ()=0
virtual uint8_t | receive ()=0
virtual void | send (uint8_t data)=0

## Detailed Description

Base class for external soft SPI.

## Member Function Documentation

## begin()

virtual void SoftSPIClass::begin | ( |  | ) |

pure virtual

Initialize the SPI bus.

Implemented in SoftSpiDriver< MisoPin, MosiPin, SckPin >.

## receive()

virtual uint8_t SoftSPIClass::receive | ( |  | ) |

pure virtual

Receive a byte.

Returns
  The byte.

Implemented in SoftSpiDriver< MisoPin, MosiPin, SckPin >.

## send()

virtual void SoftSPIClass::send | ( | uint8_t | data | ) |

pure virtual

Send a byte.

Parameters

  [in] | data | Byte to send

Implemented in SoftSpiDriver< MisoPin, MosiPin, SckPin >.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/SpiDriver/SdSpiSoftDriver.h